import processing.serial.*; // Importe la librairie du Serial
String score = "0";         // Crée un caractère score initié à 0
Serial port;                // Nomme le Serial en "port"

void setup() {
  size(900,600);            // Crée la taille de la fenêtre
  port = new Serial(this, Serial.list()[0], 9600); // Utilise le premier port pour le Serial
  port.bufferUntil('\n');
}

void draw() {
fill(255,255,255,100);      // La couleur de remplissage (et des textes) est le blanc
background(10,30,60);       // la fenêtre est "peinte" en bleue
PFont maTypo = loadFont("Fruti.vlw"); // choix de la typo
textFont(maTypo, 64);       // Définition de la taille de la typo

if (score != "0") text("Votre Score est de : "+score,100,height/2); //Texte d'affichage du Score
}

// Fonction appelé lorsqu'il y a quelque chose à lire dans le Serial
void serialEvent(Serial port) {
  // Les données lues dans le Serial sont lues et assignées à la variable score
  score =  port.readStringUntil('\n');
}
